NAME	ButtonsAndLightsForHIDVersion11
; Adapted from ButtonsAndLights Version 3.0
;
; This version works with dScope monSIO0.hex  (uses Serial Port 0, loads at 1200H)

;Changes from Version 3.0
;BALHID11 is an alternate version of John Hyde's BAL 3.0 (www.usb-by-example.com)
;This version will use Interrupt Out transfers for HID reports if the host is running
;Windows 98 SE or later.
;All changes to the original code are commented with "Jan's code"
;Changes were made to all modules except decode.a51.
;This version was created by Jan Axelson (jan@lvr.com, www.lvr.com)

; Changes from Version 2.0
;	a) Two misplaced labels corrected
;	b) CommandTable moved outside of the constrained page
;	c) SETUPDAT buffer copied to direct access memory, simplified coding
;	d) Optional Set_Idle now not supported (returns STALL, not ignorred)
;	e) R7 used in place of Temp, saved code space
;	f) Code reorganized to separate hardware dependant sections
;		Old		New 
;		USBINT.A51	Decode.A51
;		Vectors.A51	EZInt.A51
;		Timer.A51	EZInt.A51
;		Main.A51	EZMain.A51
;	g) EP0Size made an equate to ease coding of other components
EP0Size	EQU	64	; For EZ-USB
;	h) Code added for descriptors > EP0Size
;
; Changes from Version 1.0
;	a) Register saving removed from Vectors.A51
;		Main has no context which needs to be saved
;	b) There was a race condition in USB_INT::Set_Report: which
;		could cause OLD data to be read. Busy algorithm changed
;	c) The USB Version# was incorrectly declared in the Device Descriptor
;		It was 0101H and is now 0110H (data from USB IF)
;
$INCLUDE(Declare.A51)
$INCLUDE(EZInt.A51)
$INCLUDE(EZMain.A51)
$INCLUDE(Decode.A51)
$INCLUDE(DTables.A51)


END
